local modFolder = g_currentModDirectory

Scroftees = {}
Scroftees.metadata = {
    title = "Scroftees",
    author = "CookieCat",
    version = "1.0.0"
}

function addPalletType(name, pricePerLiter, hudFileName, palletFilename)

    if g_fillTypeManager.nameToFillType[name] ~= nil then
        return
    end

    local title = name
    local showOnPriceTable = true
    local unitShort = '$l10n_unit_literShort'
    local massPerLiter = 1.0 / 1000
    local maxPhysicalSurfaceAngle = 38
    local fillPlaneColors = nil
    local diffuseMapFilename = nil
    local normalMapFilename = nil
    local specularMapFilename = nil
    local distanceFilename = nil
    local baseDirectory = modFolder
    local economicCurve = { 1.14, 1.11, 1.05, 1.11, 1.12, 0.95, 0.88, 0.70, 1.20, 1.10, 1.11, 1,30 }
    local prioritizedEffectType = 'ShaderPlaneEffect'
    local isBaseType = false
    local customEnv = nil

    local result = g_fillTypeManager:addFillType(name, title, showOnPriceTable, pricePerLiter, massPerLiter,
    maxPhysicalSurfaceAngle, hudFileName, baseDirectory, customEnv, fillPlaneColors, unitShort, palletFilename, economicCurve,
    diffuseMapFilename, normalMapFilename, specularMapFilename, distanceFilename, prioritizedEffectType, nil, nil,
    nil, isBaseType)

    if result then
        g_fillTypeManager:addFillTypeToCategory(result.index, g_fillTypeManager.nameToCategoryIndex['product'])
        g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
        g_fillTypeManager:constructFillTypeTextureArrays()
        return result;
    end
end

function Scroftees:loadMap()
    addPalletType(
        'Crisps',
        2,
        'textures/Crisps.dds',
        'xml/crispsPallet.xml'
    )
end

addModEventListener(Scroftees)